#
# spec file for package NetworkManager-openswan
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           NetworkManager-openswan
Version:        1.0.6
Release:        4.2
Summary:        NetworkManager VPN support for OpenConnect
License:        GPL-2.0+ and LGPL-2.1
Group:          Productivity/Networking/System
Url:            http://www.gnome.org/projects/NetworkManager
Source0:        http://download.gnome.org/sources/NetworkManager-openswan/1.0/%{name}-%{version}.tar.xz
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(NetworkManager)
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.4
BuildRequires:  pkgconfig(libnl-3.0) >= 3.2.8
BuildRequires:  pkgconfig(libnm-glib)
BuildRequires:  pkgconfig(libnm-glib-vpn)
BuildRequires:  pkgconfig(libnm-gtk) >= 0.9.10
BuildRequires:  pkgconfig(libnm-util)
BuildRequires:  pkgconfig(libsecret-unstable)
Requires:       %{name}-frontend
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
NetworkManager-openconnect provides VPN support to NetworkManager for
OpenConnect, an implementation of the Cisco AnyConnect VPN system.

%package gnome
Summary:        NetworkManager VPN support for OpenConnect
Group:          Productivity/Networking/System
Requires:       %{name} = %{version}
Requires:       NetworkManager-gnome >= 0.5.1
Provides:       %{name}-frontend

%description gnome
NetworkManager-openconnect provides VPN support to NetworkManager for
OpenConnect, an implementation of the Cisco AnyConnect VPN system.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
        --disable-static \
        --disable-more-warnings
make %{?_smp_mflags}

%install
%make_install
# Fix install link of nm-libreswan-service-helper
A=$(readlink %{buildroot}%{_libexecdir}/nm-libreswan-service-helper)
ln -sf ${A#%{buildroot}} %{buildroot}%{_libexecdir}/nm-libreswan-service-helper
%find_lang %{name} %{?no_lang_C}
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libexecdir}/nm-libreswan-service-helper
%{_libexecdir}/nm-openswan-service
%{_libexecdir}/nm-openswan-service-helper
%{_sysconfdir}/NetworkManager/VPN/nm-openswan-service.name
%{_sysconfdir}/dbus-1/system.d/nm-openswan-service.conf

%files gnome
%defattr(-,root,root,-)
%{_libdir}/NetworkManager/libnm-openswan-properties.so*
%{_libexecdir}/nm-openswan-auth-dialog
%{_datadir}/gnome-vpn-properties/
%{_datadir}/applications/nm-openswan-auth-dialog.desktop

%files lang -f %{name}.lang

%changelog
* Tue Sep  1 2015 simon@simotek.net
- Update to version 1.0.6:
  + Libreswan startup robustness improvments.
  + Build fixes.
* Wed May  6 2015 dimstar@opensuse.org
- Update to version 1.0.2:
  + Out-of-tree build fixes.
  + Updated translations.
* Tue Jan 27 2015 dimstar@opensuse.org
- Update to version 1.0.0:
  + Added support for Libreswan (automatically determined at
    runtime).
  + Password handling is now more robust.
  + Connection start/stop is now more robust.
  + Default routing is now autodetected from pushed routes.
  + Added support for interactive password requests.
  + Fix erroneous import/export capability advertisement.
  + Updated translations.
- Replace pkgconfig(gthread-2.0) BuildRequires with
  pkgconfig(glib-2.0), following changes in configure.
- Add pkgconfig(libnl-3.0), pkgconfig(libsecret-unstable) and
  pkgconfig(libnm-gtk) BuildRequires: new dependencies.
* Thu Mar 20 2014 dimstar@opensuse.org
- Pass --disable-more-warnings to configure: deprecations are not
  our issue, but are upstreams responsibility to take care off. At
  this moment, NM-openswan fails to build with libgnome-keyring
  3.11.92+, which is a deprecated library in favor of libsecret.
* Fri Sep 13 2013 dimstar@opensuse.org
- Update to version 0.9.8.4:
  + Fixed paths in VPN service file.
  + Fixed localization in non-UTF-8 locales.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 0.9.8.0.
